Mail archive
alpine-aports

[alpine-aports] [PATCH] main/debootstrap: upgrade to 1.0.72

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Sun, 16 Aug 2015 18:04:26 +0200

---
 main/debootstrap/APKBUILD | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)
diff --git a/main/debootstrap/APKBUILD b/main/debootstrap/APKBUILD
index b571039..247da7d 100644
--- a/main/debootstrap/APKBUILD
+++ b/main/debootstrap/APKBUILD
_at_@ -1,11 +1,11 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=debootstrap
-pkgver=1.0.67
+pkgver=1.0.72
 pkgrel=0
 pkgdesc="Debian/Ubuntu bootstrap scripts"
 url="http://packages.qa.debian.org/d/debootstrap.html"
 arch="all"
-license="GPL-2"
+license="GPL2"
 depends="dpkg tar"
 source="http://ftp.de.debian.org/debian/pool/main/d/debootstrap/debootstrap_$pkgver.tar.gz
 	pkgdetails.c"
_at_@ -13,7 +13,8 @@ source="http://ftp.de.debian.org/debian/pool/main/d/debootstrap/debootstrap_$pkg
 _builddir="$srcdir"/debootstrap-$pkgver
 build() {
 	cd "$_builddir"
-	gcc $CFLAGS $LDFLAGS -o pkgdetails "$srcdir"/pkgdetails.c
+	${CC:-gcc} $CFLAGS $LDFLAGS -o pkgdetails \
+		"$srcdir"/pkgdetails.c || return 1
 }
 
 package() {
_at_@ -23,7 +24,7 @@ package() {
 	mkdir -p dev
 	chown 0:0 dev
 	chmod 755 dev
-	( cd dev 
+	( cd dev
 		ln -s /proc/self/fd fd
 		ln -s fd/0 stdin
 		ln -s fd/1 stdout
_at_@ -42,9 +43,10 @@ package() {
 	make DESTDIR="$pkgdir" install || return
 	install -Dm755 pkgdetails "$pkgdir"/usr/lib/debootstrap/pkgdetails
 }
-md5sums="eacabfe2e45415af60b1d74c3a23418a  debootstrap_1.0.67.tar.gz
+
+md5sums="0cacf6e3bd8b566e921d2a326d6fd2bd  debootstrap_1.0.72.tar.gz
 66b6fb6d862ba4886701c9b056088479  pkgdetails.c"
-sha256sums="0a12e0a2bbff185d47711a716b1f2734856100e8784361203e834fed0cffa51b  debootstrap_1.0.67.tar.gz
+sha256sums="90f4cf1390326f020b9192b6a45ba1d323fffab9c22c6f62451780e6f5482f8d  debootstrap_1.0.72.tar.gz
 1cf1644e8400693fd41d378f972c15fa7b32f3282117ea967c995705256a84d6  pkgdetails.c"
-sha512sums="751cfabdcefa6de099f12377f4e5ac611d97952197040c8d194abc0ac8f3abd59c21110828592bfa2c7a92299db57fe8c6ee0991e11894470f444a71cfd25151  debootstrap_1.0.67.tar.gz
+sha512sums="b8f186b13f66789e96f775337d06821cfb464e35dd661a2bff1420bfb1254cf85ce9eb46be1a27dad7a462628e441cbfcdfffaf12ee5a394d15c248882295848  debootstrap_1.0.72.tar.gz
 432313c8aef4974f21cb81b48d9f1c319692325f24a456e460e6f92c6a15ade7f29dfee4bf2ab3664c90b09d1f16e46cb8dd898ebd317f2547e63a64a773d971  pkgdetails.c"
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Aug 16 2015 - 18:04:26 GMT